Subject: Re: bug#62092: 30.0.50; "case" does not work as dedenter in Python
From: Dmitry Gutov <[email-masked]>
To: kobarity <[email-masked]>
Cc: Lele Gaifax <[email-masked]>, [email-masked]
Date: Sat, 11 Mar 2023 15:18:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/03/2023 04:08, kobarity wrote:

> The message "Closes case 1:" is shown.  It is shown to help
> distinguishing nested blocks, although it will not be useful if the
> case statements are same.
> 
> This is the same behavior as "if" blocks, etc.  The term "Closes" may
> not be the most appropriate for "case," but I don't think it is wrong.

Fair enough. I do think it's not ideal ("case" is not a "closer"), but 
neither is "else", for that matter. So the issue is not new.

And it can be useful, like you say, to distinguish nested blocks.

Pushed your change to emacs-29, and closing. Thanks!